﻿using System.Windows;
using Telerik.Windows.Controls;
using System.Windows.Documents;

namespace ItemFontChangeByEvent
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private SampleViewModel sampleData;
        public MainWindow()
        {
            InitializeComponent();
            sampleData = new SampleViewModel();
            SampleTreeView2.DataContext = sampleData;
        }

        private void RadTreeViewItem_Selected(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadTreeViewItem item = (e.OriginalSource as RadTreeViewItem);
            if (item != null)
            {
                item.FontStyle = FontStyles.Italic;
            }
        }

        private void RadTreeViewItem_Unselected(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadTreeViewItem item = (e.OriginalSource as RadTreeViewItem);
            if (item != null)
            {
                item.ClearValue(FontStyleProperty);
            }
        }



        private void SampleTreeView_Selected(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadTreeViewItem item = (e.OriginalSource as RadTreeViewItem);
            if (item != null)
            {
                TextElement.SetFontStyle(item, FontStyles.Italic);
                //item.FontStyle = FontStyles.Italic;
            }
        }

        private void SampleTreeView_Unselected(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadTreeViewItem item = (e.OriginalSource as RadTreeViewItem);
            if (item != null)
            {
                item.ClearValue(FontStyleProperty);
            }
        }
    }
}
